{

  "ID": 2020719, //a-一层

  "Events": {

    "OnStart": {

      "Actions": [

        {

          "$type": "Share.CConfigIf",

          "OnSuccess": "OnDirection",

          "OnFailure": "OnEnd",

          "Conditions": [ //a位置的范围内有一个zzz

            {

              "$type": "Share.CConfigEventByOr",

              "Predicates": [

                {

                  "$type": "Share.CConfigEventByEventState",

                  "X": 1,

                  "Y": 1,

                  "Position": "Absolute",

                  "VisibleState": [

                    "Visible"

                  ],

                  "State": [

                    "ShowEvent"

                  ],

                  "Count": 1,

                  "CompareType": "Equal",

                  "Radius": 0,

                  "EventID": [

                    2020701

                  ]

                },

                {

                  "$type": "Share.CConfigEventByEventState",

                  "X": 3,

                  "Y": 1,

                  "Position": "Absolute",

                  "VisibleState": [

                    "Visible"

                  ],

                  "State": [

                    "ShowEvent"

                  ],

                  "Count": 1,

                  "CompareType": "Equal",

                  "Radius": 0,

                  "EventID": [

                    2020701

                  ]

                }

              ]

            }

          ]

        }

      ]

    },

    "OnDirection": {

      "Actions": [

        //从右来

        {

          "$type": "Share.CConfigJump",

          "Jump": "OnRight",

          "Predicates": [

            {

              "$type": "Share.CConfigEventByDirection",

              "Direction": [

                "Right"

              ]

            }

          ]

        },

        //从左来

        {

          "$type": "Share.CConfigJump",

          "Jump": "OnLeft",

          "Predicates": [

            {

              "$type": "Share.CConfigEventByDirection",

              "Direction": [

                "Left"

              ]

            }

          ]

        }

      ]

    },

    "OnRight": {

      "Actions": [

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": 0.3

        },

        {

          "$type": "Share.CConfigEventModification",

          "X": 1,

          "Y": 1,

          "Position": "Absolute",

          "Radius": 0,

          "ModificationNum": 1,

          "ModificationType": 1,

          "TargetEventID": [

            2020701

          ], //zzz

          "TargetEventType": 1,

          "EventID": [

            2020707

          ], //kong

          "EventState": "Locked",

          "VisibleState": "Visible"

        },

        // {

        //   "$type": "Share.CConfigEventModification",

        //   "X": 1,

        //   "Y": 2,

        //   "Position": "Absolute",

        //   "Radius": 0,

        //   "ModificationNum": 1,

        //   "ModificationType": 1,

        //   //"TargetEventID": [ 2020707 ],//空

        //   "TargetVisibleState":[ "Visible"],

        //   "TargetEventType": 1,

        //   "EventID": [ 2020701 ],//zzz

        //   "EventState": "ShowEvent",

        //   "VisibleState": "Visible"

        // },

        // {

        //   "$type": "Share.CConfigWaitSeconds",

        //   "Time": 0.2

        // },

        // {

        //   "$type": "Share.CConfigEventModification",

        //   "X": 1,

        //   "Y": 2,

        //   "Position": "Absolute",

        //   "Radius": 0,

        //   "ModificationNum": 1,

        //   "ModificationType": 1,

        //   "TargetEventID": [ 2020701 ],//zzz

        //   "TargetEventType": 1,

        //   "EventID": [ 2020720 ],//c

        //   "EventState": "Locked",

        //   "VisibleState": "Visible"

        // },

        {

          "$type": "Share.CConfigEventModification",

          "X": 1,

          "Y": 3,

          "Position": "Absolute",

          "Radius": 0,

          "ModificationNum": 1,

          "ModificationType": 1,

          //"TargetEventID": [ 2020707 ],//空

          "TargetEventType": 1,

          "TargetVisibleState": [

            "Visible"

          ],

          "EventID": [

            2020701

          ], //zzz

          "EventState": "ShowEvent",

          "VisibleState": "Visible"

        },

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": 0.5

        },

        {

          "$type": "Share.CConfigJump",

          "Jump": "OnEnd"

        }

      ]

    },

    "OnLeft": {

      "Actions": [

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": 0.3

        },

        {

          "$type": "Share.CConfigEventModification",

          "X": 3,

          "Y": 1,

          "Position": "Absolute",

          "Radius": 0,

          "ModificationNum": 1,

          "ModificationType": 1,

          "TargetEventID": [

            2020701

          ], //zzz

          "TargetEventType": 1,

          "EventID": [

            2020707

          ], //kong

          "EventState": "Locked",

          "VisibleState": "Visible"

        },

        // {

        //   "$type": "Share.CConfigEventModification",

        //   "X": 3,

        //   "Y": 2,

        //   "Position": "Absolute",

        //   "Radius": 0,

        //   "ModificationNum": 1,

        //   "ModificationType": 1,

        //   //"TargetEventID": [ 2020707 ],//空

        //   "TargetEventType": 1,

        //   "TargetVisibleState":[ "Visible"],

        //   "EventID": [ 2020701 ],//zzz

        //   "EventState": "ShowEvent",

        //   "VisibleState": "Visible"

        // },

        // {

        //   "$type": "Share.CConfigWaitSeconds",

        //   "Time": 0.2

        // },

        // {

        //   "$type": "Share.CConfigEventModification",

        //   "X": 3,

        //   "Y": 2,

        //   "Position": "Absolute",

        //   "Radius": 0,

        //   "ModificationNum": 1,

        //   "ModificationType": 1,

        //   "TargetEventID": [ 2020701 ],//zzz

        //   "TargetEventType": 1,

        //   "EventID": [ 2020721 ],//d

        //   "EventState": "Locked",

        //   "VisibleState": "Visible"

        // },

        {

          "$type": "Share.CConfigEventModification",

          "X": 3,

          "Y": 3,

          "Position": "Absolute",

          "Radius": 0,

          "ModificationNum": 1,

          "ModificationType": 1,

          //"TargetEventID": [ 2020707 ],//空

          "TargetEventType": 1,

          "TargetVisibleState": [

            "Visible"

          ],

          "EventID": [

            2020701

          ], //zzz

          "EventState": "ShowEvent",

          "VisibleState": "Visible"

        },

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": 0.5

        },

        {

          "$type": "Share.CConfigJump",

          "Jump": "OnEnd"

        }

      ]

    },

    "OnEnd": {

      "Actions": [

        {

          "$type": "Share.CConfigFinishEvent"

        }

      ]

    }

  }

}